CREATE PROCEDURE [dbo].[LPOP_GetCompletenessCheckData]
AS
BEGIN
	DECLARE @MONTH VARCHAR(2) --= RIGHT('00' + CONVERT(VARCHAR(2), MONTH(@CREATED_DT) + 1), 2)
	DECLARE @YEAR VARCHAR(4) --= CONVERT(VARCHAR(4), YEAR(@CREATED_DT))
	DECLARE @i_PROD_MONTH VARCHAR(6) = ''

	SELECT @i_PROD_MONTH = MAX(PACK_MONTH) FROM TB_R_LPOP
	SET @MONTH = RIGHT(@i_PROD_MONTH, 2)
	SET @YEAR = LEFT(@i_PROD_MONTH, 4)

	SELECT
		PROD_MONTH,
		PART_NO,
		DOCK_CD,
		PROD_PURPOSE_CD,
		PLANT_CD,
		ORDER_TYPE,
		SUPPLIER_CD,
		CONVERT(VARCHAR(MAX), N_1_VOLUME) as N_1_VOLUME,
		CONVERT(VARCHAR(MAX), N_2_VOLUME) as N_2_VOLUME,
		CONVERT(VARCHAR(MAX), N_3_VOLUME) as N_3_VOLUME,
		PART_LIST_EXISTS as PART_LIST,
		SOURCE_LIST_EXISTS as SOURCE_LIST,
		MATERIAL_MASTER_EXISTS as MATERIAL_MASTER,
		MATERIAL_PRICE_EXISTS as MATERIAL_PRICE
	FROM TB_R_LPOP_NOTIFICATION
	WHERE PROD_MONTH = '201610'--@i_PROD_MONTH
END

